com.impinj.octane

## Enum TagLockState

- java.lang.Object
- - java.lang.Enum<TagLockState>
  - - com.impinj.octane.TagLockState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TagLockState>

      public enum TagLockState
      extends java.lang.Enum<TagLockState>
      implements java.io.Serializable

  An enumeration for determining which lock operation to perform on the tag memory bank; this determines what state to leave the tag memory bank in.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Lock` Leave the tag memory bank in the 'Lock' state; the tag memory bank can subsequently be unlocked.
    `None` Do not change the lock state of the tag memory bank.
    `Permalock` Leave the tag memory bank in the 'Permalock' state; the tag memory bank can never subsequently be unlocked.
    `Permaunlock` Leave the tag memory bank in the 'Permaunlock' state; the tag memory bank can never subsequently be locked.
    `Unlock` Leave the tag memory bank in the 'Unlock' state; the tag memory bank can subsequently be locked.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static TagLockState` | `valueOf(int tagLockStateValue)`
    `static TagLockState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TagLockState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Lock

          public static final TagLockState Lock

      Leave the tag memory bank in the 'Lock' state; the tag memory bank can subsequently be unlocked.

    - #### Permalock

          public static final TagLockState Permalock

      Leave the tag memory bank in the 'Permalock' state; the tag memory bank can never subsequently be unlocked.

    - #### Permaunlock

          public static final TagLockState Permaunlock

      Leave the tag memory bank in the 'Permaunlock' state; the tag memory bank can never subsequently be locked.

    - #### Unlock

          public static final TagLockState Unlock

      Leave the tag memory bank in the 'Unlock' state; the tag memory bank can subsequently be locked.

    - #### None

          public static final TagLockState None

      Do not change the lock state of the tag memory bank.

  - ### Method Detail

    - #### values

          public static TagLockState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TagLockState c : TagLockState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TagLockState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static TagLockState valueOf(int tagLockStateValue)

      Parameters:
        `tagLockStateValue` - an integer value
      Returns:
        the enumeration object associated with this integer value

    - #### getValue

          public int getValue()

      Returns:
        the enumeration as an integer value